Package com.usatiuk.dhfs.invalidation

# Class OpHandlerService

java.lang.Object
com.usatiuk.dhfs.invalidation.OpHandlerService

@ApplicationScoped public class OpHandlerService extends Object

## Constructor Summary

Constructors
Constructor
Description
`OpHandlerService(jakarta.enterprise.inject.Instance<OpHandler<?>> OpHandlers)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleOp(PeerId from, Op op)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpHandlerService

public OpHandlerService(jakarta.enterprise.inject.Instance<OpHandler<?>> OpHandlers)

## Method Details

### handleOp

public void handleOp(PeerId from, Op op)